# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "chrome-control-mcp"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust MCP Server for full Chrome CDP control and interactive JS debugging"
readme = "README.md"
keywords = [
    "mcp",
    "chrome",
    "cdp",
    "debugging",
    "devtools",
]
categories = ["development-tools::debugging"]
license = "MIT"
repository = "https://github.com/raultov/chrome-control-mcp"

[[bin]]
name = "chrome-control-mcp"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.cdp-lite]
version = "0.1.1"

[dependencies.rust-mcp-sdk]
version = "0.8.3"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.18"

[profile.dist]
lto = "thin"
inherits = "release"
